window.onload = function() {
    // Extract the path from the URL
    var path = window.location.pathname;
  
    // If the path includes "news", return and do nothing
    if (path.toLowerCase().includes("news")) {
      return;
    }
  
    // Select all img elements
    var images = document.querySelectorAll('img');
  
    // Loop through all img elements
    images.forEach(function(img) {
      // Check if the alt text includes "logo"
      if (img.alt.toLowerCase().includes("logo")) {
        return; // Skip this image
      }
  
      // Initially hide the image
      img.style.visibility = 'hidden';
  
      // Create a new div with the class "image-container"
      var container = document.createElement('div');
      container.className = 'image-container';
  
      // Extract copyright info from alt text
      var altText = img.alt;
      var copyrightIndex = altText.indexOf("@");
      var copyrightText = copyrightIndex !== -1 ? altText.substring(copyrightIndex) : '';
  
      // Assign copyright text and create copyright div only if there's a copyright text
      if (copyrightText) {
        var copyright = document.createElement('div');
        copyright.className = 'custom-copyright';
        copyright.textContent = copyrightText;
        container.appendChild(copyright);
      }
  
      // Replace the img in the DOM with the container
      img.parentNode.replaceChild(container, img);
  
      // Append the img to the container
      container.appendChild(img);
  
      // Make the image visible again after it has been formatted
      img.style.visibility = 'visible';
    });
  }
  